curl --request GET \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/altered_events/{start}/{end} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"state": 1,
"timestamp": "2023-11-07T05:31:56Z",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": 123,
"reason": "<string>",
"altered_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pending": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}curl --request GET \
--url https://{tenant}.stamp.eu/rest/employees/{employee}/altered_events/{start}/{end} \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"state": 1,
"timestamp": "2023-11-07T05:31:56Z",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": 123,
"reason": "<string>",
"altered_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pending": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Mitarbeiter-ID (UUID)
Startdatum (YYYY-MM-DD)
Enddatum (YYYY-MM-DD)
Array of AlteredEventResource
Show child attributes